Flow Run Metrics
Query for time series metrics that will provide you details around the total number of flow run invocations, failures, errors and similar metrics.
In order to query flow run metrics you must have the Flow ID and perform a HTTP request to the following endpoint with a valid access key.
| Filter Types | Filter ID |
|---|---|
| flow | The Flow ID from the flow |
POST
/workspaces/{workspaceId}/reporting/flowruns/{filterType}/{filterId}/metrics
Fetch flow metrics for a flow
请求载荷
periodStart
string
必填
periodEnd
string
必填
periodGroup
string
必填
Possible values: minute, hour, day, month
groupBy
array of string
响应载荷
periodGroup
string
Possible values: minute, hour, day, month
dataColumns
array of string
必填
results
array of object
显示子属性
results.periodTime
string
必填
results.count
integer
results.data
array of string
代码示例
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/reporting/flowruns/{filterType}/{filterId}/metrics' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'